Search documentation of wx

# wxDropFilesEvent (wx v2.4.3.1)

View Source

This class is used for drop files events, that is, when files have been dropped onto the window.

The window must have previously been enabled for dropping by calling `wxWindow:dragAcceptFiles/2`.

Important note: this is a separate implementation to the more general drag and drop implementation documented in the overview_dnd. It uses the older, Windows message-based approach of dropping files.

See:

- Overview events

- `wxWindow:dragAcceptFiles/2`

This class is derived, and can use functions, from:

- `wxEvent`

wxWidgets docs: wxDropFilesEvent

## Events

Use `wxEvtHandler:connect/3` with `wxDropFilesEventType` to subscribe to events of this type.

# Summary

## Types

wxDropFiles()
wxDropFilesEvent()
wxDropFilesEventType()

## Functions

getFiles(This)

Returns an array of filenames.

getNumberOfFiles(This)

Returns the number of files dropped.

getPosition(This)

Returns the position at which the files were dropped.

# Types

# wxDropFiles()

    -type wxDropFiles() ::
              #wxDropFiles{type :: wxDropFilesEvent:wxDropFilesEventType(),
                           pos :: {X :: integer(), Y :: integer()},
                           files :: [unicode:chardata()]}.

# wxDropFilesEvent()

    -type wxDropFilesEvent() :: wx:wx_object().

# wxDropFilesEventType()

    -type wxDropFilesEventType() :: drop_files.

# Functions

# getFiles(This)

    -spec getFiles(This) -> [unicode:charlist()] when This :: wxDropFilesEvent().

Returns an array of filenames.

# getNumberOfFiles(This)

    -spec getNumberOfFiles(This) -> integer() when This :: wxDropFilesEvent().

Returns the number of files dropped.

# getPosition(This)

    -spec getPosition(This) -> {X :: integer(), Y :: integer()} when This :: wxDropFilesEvent().

Returns the position at which the files were dropped.

Returns an array of filenames.